Summary: Job spooling tools.
Name: at
Version: 3.1.7
Release: 11
Copyright: GPL
Group: System Environment/Daemons
Source: ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/at-3.1.7.tar.gz
Source2: atd.init
Patch0: at-3.1.7-lockfile.patch
Patch1: at-3.1.7-noon.patch
Patch2: at-3.1.7-paths.patch
Patch3: at-3.1.7-sigchld.patch
Patch4: at-noroot.patch
Prereq: fileutils chkconfig
Conflicts: crontabs <= 1.5
Buildroot: /var/tmp/%{name}-root

%description
At and batch read commands from standard input or from a specified file.
At allows you to specify that a command will be run at a particular time
(now or a specified time in the future).  Batch will execute commands
when the system load levels drop to a particular level.  Both commands
use /bin/sh to run the commands.

You should install the at package if you need a utility that will do
time-oriented job control.  Note: you should use crontab instead, if it is
a recurring job that will need to be repeated at the same time every
day/week/etc.

%prep
%setup -q
%patch0 -p1 -b .lockfile
%patch1 -p1 -b .noon
# The next path is a brute-force fix that will have to be updated
# when new versions of at are released.
%patch2 -p1 -b .paths

%patch3 -p1 -b .sigchld
%patch4 -p1 -b .noroot

%build
#libtoolize --copy --force
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
#	--with-atspool=/var/spool/at/spool --with-jobdir=/var/spool/at

%configure --with-atspool=/var/spool/at/spool --with-jobdir=/var/spool/at

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

make install IROOT=$RPM_BUILD_ROOT DAEMON_USERNAME=`id -nu` \
	DAEMON_GROUPNAME=`id -ng`
echo > $RPM_BUILD_ROOT/etc/at.deny
mkdir docs
cp ${RPM_BUILD_ROOT}%{_prefix}/doc/at/* docs/
install -m 755 $RPM_SOURCE_DIR/atd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/atd

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /var/spool/at/.SEQ
chmod 600 /var/spool/at/.SEQ
chown daemon.daemon /var/spool/at/.SEQ
/sbin/chkconfig --add atd

%preun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del atd
fi

%files
%defattr(-,root,root)
%doc docs/*
%config /etc/at.deny
%config /etc/rc.d/init.d/atd
%attr(0700,daemon,daemon)	%dir /var/spool/at
%attr(0700,daemon,daemon)	%ghost /var/spool/at/.SEQ
%attr(0700,daemon,daemon)	%dir /var/spool/at/spool
%{_prefix}/sbin/atrun
%{_prefix}/sbin/atd
%{_prefix}/man/man8/atrun.8
%{_prefix}/man/man8/atd.8
%{_prefix}/man/man1/batch.1
%{_prefix}/man/man1/atrm.1
%{_prefix}/man/man1/atq.1
%{_prefix}/man/man1/at.1
%{_prefix}/bin/batch
%{_prefix}/bin/atrm
%{_prefix}/bin/atq
%attr(4755,root,root)	%{_prefix}/bin/at

%changelog
* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging, build as non-root user

* Sun Jun 13 1999 Jeff Johnson <jbj@redhat.com>
- correct perms for /var/spool/at after defattr.

* Mon May 24 1999 Jeff Johnson <jbj@redhat.com>
- reset SIGCHLD before exec (#3016).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- fix handling the 12:00 time

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- configure fix for arm

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- learned to spell

* Wed Oct 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- updated to at version 3.1.7
- updated lock and sequence file handling with %ghost
- Use chkconfig and atd, now conflicts with old crontabs packages

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

